Main Page Widgets Namespaces Book

# Pango::Color Class Reference

List of all members.

## Detailed Description

A Pango::Color is used to represent a color in an uncalibrated RGB colorspace.

## Public Member Functions

| Color (const PangoColor* gobject)
| Color ()
guint16 | get_blue () const
| Gets the blue component of the color.
guint16 | get_green () const
| Gets the green component of the color.
guint16 | get_red () const
| Gets the red component of the color.
const PangoColor* | gobj () const
| Provides access to the underlying C instance.
PangoColor* | gobj ()
| Provides access to the underlying C instance.
| operator bool () const
| Tests whether the Color is valid.
| operator bool ()
bool | parse (const Glib::ustring& spec)
| Fill in the fields of a color from a string specification.
void | set_blue (const guint16& value)
| Sets the blue component of the color.
void | set_green (const guint16& value)
| Sets the green component of the color.
void | set_red (const guint16& value)
| Sets the red component of the color.
Glib::ustring | to_string () const
| Return value: a newly-allocated text string that must be freed with Glib::free().

## Protected Attributes

PangoColor | gobject_

## Related Functions

(Note that these are not member functions.)
const Pango::Color& | wrap (const PangoColor* object)
Pango::Color& | wrap (PangoColor* object)

## Constructor & Destructor Documentation

Pango::Color::Color | ( |  | ) |

Pango::Color::Color | ( | const PangoColor * | gobject | ) | `[explicit]`

## Member Function Documentation

guint16 Pango::Color::get_blue | ( |  | ) | const

Gets the blue component of the color.

Returns:
  The blue component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

guint16 Pango::Color::get_green | ( |  | ) | const

Gets the green component of the color.

Returns:
  The green component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

guint16 Pango::Color::get_red | ( |  | ) | const

Gets the red component of the color.

Returns:
  The red component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

const PangoColor* Pango::Color::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

References gobject_.

PangoColor* Pango::Color::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

References gobject_.

Pango::Color::operator bool | ( |  | ) | const

Tests whether the Color is valid.

Pango::Color::operator bool | ( |  | ) |

Deprecated:
  Use the const version.

bool Pango::Color::parse | ( | const Glib::ustring & | spec | ) |

Fill in the fields of a color from a string specification.

The string can either one of a large set of standard names. (Taken from the X11 <filename>rgb.txt</filename> file), or it can be a hex value in the form 'rgb' 'rrggbb' 'rrrgggbbb' or 'rrrrggggbbbb' where 'r', 'g' and 'b' are hex digits of the red, green, and blue components of the color, respectively. (White in the four forms is 'fff' 'ffffff' 'fffffffff' and 'ffffffffffff')

Parameters:

  | spec | A string specifying the new color.

Returns:
  `true` if parsing of the specifier succeeded, otherwise false.

void Pango::Color::set_blue | ( | const guint16 & | value | ) |

Sets the blue component of the color.

Parameters:

  | value | The blue component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

void Pango::Color::set_green | ( | const guint16 & | value | ) |

Sets the green component of the color.

Parameters:

  | value | The green component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

void Pango::Color::set_red | ( | const guint16 & | value | ) |

Sets the red component of the color.

Parameters:

  | value | The red component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

Glib::ustring Pango::Color::to_string | ( |  | ) | const

Return value: a newly-allocated text string that must be freed with Glib::free().

Returns:
  A newly-allocated text string that must be freed with Glib::free().

Since: 1.16.

## Friends And Related Function Documentation

const Pango::Color& wrap | ( | const PangoColor * | object | ) | `[related]`

Parameters:

  | object | The C instance

Returns:
  A C++ instance that wraps this C instance.

Pango::Color& wrap | ( | PangoColor * | object | ) | `[related]`

Parameters:

  | object | The C instance

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

PangoColor Pango::Color::gobject_`[protected]`

Referenced by gobj().

The documentation for this class was generated from the following file:

- pango/pangomm/color.h